Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ExplainResponseStringPlanOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ExplainResponseStringPlan`, `ClientWireProtocol.ExplainResponseStringPlan.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ExplainResponseStringPlanOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getPlan()` | `string plan = 2;`
`com.google.protobuf.ByteString` | `getPlanBytes()` | `string plan = 2;`
`boolean` | `getRedirect()` | Redirect = true, means we are telling client to send the command elsewhere
`String` | `getRedirectHost()` | `string redirectHost = 4;`
`com.google.protobuf.ByteString` | `getRedirectHostBytes()` | `string redirectHost = 4;`
`int` | `getRedirectPort()` | `fixed32 redirectPort = 5;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getPlan

String getPlan()
`string plan = 2;`

### getPlanBytes

com.google.protobuf.ByteString getPlanBytes()
`string plan = 2;`

### getRedirect

boolean getRedirect()

    Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

### getRedirectHost

String getRedirectHost()
`string redirectHost = 4;`

### getRedirectHostBytes

com.google.protobuf.ByteString getRedirectHostBytes()
`string redirectHost = 4;`

### getRedirectPort

int getRedirectPort()
`fixed32 redirectPort = 5;`